# kjs Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KJS::LabelStack Class Reference

The "label set" in Ecma-262 spec. More...

`#include <internal.h>`

List of all members.

## Public Member Functions

| LabelStack (const LabelStack &other)
LabelStack & | operator= (const LabelStack &other)
bool | push (const Identifier &id)
bool | contains (const Identifier &id) const
void | pop ()
void | pushIteration ()
void | popIteration ()
bool | inIteration () const
void | pushSwitch ()
void | popSwitch ()
bool | inSwitch () const

## Detailed Description

The "label set" in Ecma-262 spec.

Definition at line 162 of file internal.h.

## Member Function Documentation

bool LabelStack::push | ( | const Identifier & | id | ) |

| If id is not empty and is not in the stack already, puts it on top of the stack and returns true, otherwise returns false. Definition at line 316 of file internal.cpp. References contains().

bool LabelStack::contains | ( | const Identifier & | id | ) | const

| Is the id in the stack? Definition at line 328 of file internal.cpp. Referenced by push().

void LabelStack::pop | ( |  | ) |

| Removes from the stack the last pushed id (what else?). Definition at line 340 of file internal.cpp.

The documentation for this class was generated from the following files:

- internal.h
- internal.cpp

This file is part of the documentation for kjs Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:23:10 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003